Subject: bug#29883: Emacs server not detected in Mac OS High Sierra

From: Alan Third <[email-masked]>
Date: Fri, 29 Dec 2017 22:12:16 +0000

On Fri, Dec 29, 2017 at 12:04:41AM +0100, Artemio González López wrote:
> When a .tex file is opened in Emacs 25.3.1 under macOS 10.13.2 High
> Sierra by double-clicking on it always launches a second instance of
> Emacs, even if a server process is already running (launched by a
> “(server-start)” line at the beginning of my .emacs file). This
> problem did not occur in the previous system (macOS 10.12 Sierra).

Hi, thanks for the report.

I’m not on 10.13 yet, so I can’t test this. Is it only .tex files that
don’t work?

When double clicking a file it should open in an existing Emacs
instance even without a server process.

Do you have more than one Emacs.app installed? Is it possible you need
to re‐associate .tex files with the correct Emacs? (Get Info ‐> Open With)
-- 
Alan Third